Bug 969473 - psmouse serio1: elantech: unknown hardware version, aborting...
psmouse serio1: elantech: unknown hardware version, aborting...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-31 09:50 EDT by Paul Wolfger
Modified: 2014-10-02 16:02 EDT (History)
11 users (show)

See Also:
Fixed In Version: kernel-3.10.4-100.fc18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 23:32:34 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
/var/log/messages (150.45 KB, text/plain)
2013-05-31 09:50 EDT, Paul Wolfger
no flags Details

  None (edit)
Description Paul Wolfger 2013-05-31 09:50:43 EDT
Created attachment 755274 [details]
/var/log/messages

Description of problem:
Elantech touchpad doesn't work as expected. No multitouch features availabe.

Version-Release number of selected component (if applicable):
3.9.4-200.fc18.x86_64

How reproducible:
Persistent.

Steps to Reproduce:
1. Boot
2. see dmesg

Actual results:
Touchpad only works as standard ps2 mouse.
dmesg output: psmouse serio1: elantech: unknown hardware version, aborting...

Expected results:
Touchpad with multitouch support.

Additional info:
Comment 1 Paul Wolfger 2013-06-02 16:37:59 EDT
I forgot to mention, it's a Samsung Series 7 Ultra laptop, NP730U3E.
Comment 2 Edouard Bourguignon 2013-07-05 15:24:52 EDT
Same problem on Fedora 19 and Samsung NP740.

The patch is here https://launchpadlibrarian.net/142425881/0001-elantech-fix-for-newer-hardware-versions-v7.patch

Works fine.

BTW, why psmouse support is not build as a kernel module? I have no choice to rebuild complete kernel to add this patch, it works but a simple dkms should be more efficient. Other distros psmouse is a kernel module.
Comment 3 Edouard Bourguignon 2013-07-27 11:27:09 EDT
Any news? Ubuntu has just released the fixed on their kernels. Patch will be upstream for 3.11 I think:
https://github.com/torvalds/linux/commit/9eebed7de660c0b5ab129a9de4f89d20b60de68c
Comment 4 Edouard Bourguignon 2013-07-27 11:28:00 EDT
This bug affects at least laptops from Acer, Gigabyte and Samsung.
Comment 5 Josh Boyer 2013-07-29 08:30:57 EDT
Thanks again for the pointer.  I had emailed Matteo about sending the patch upstream earlier in the month.  I'm glad to see that happened.

I've applied the patch to F18 and F19.  Rawhide should already have it.
Comment 6 Fedora Update System 2013-07-30 10:08:41 EDT
kernel-3.10.4-300.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/kernel-3.10.4-300.fc19
Comment 7 Edouard Bourguignon 2013-07-31 03:14:33 EDT
I've just tried this kernel and it works fine, touchpad is recognized. Thank you Josh.
Comment 8 Fedora Update System 2013-08-01 23:32:34 EDT
kernel-3.10.4-300.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2013-08-02 17:47:32 EDT
kernel-3.10.4-100.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.10.4-100.fc18
Comment 10 Fedora Update System 2013-08-10 16:10:23 EDT
kernel-3.10.4-100.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 martinolich.d 2014-10-02 16:02:58 EDT
Still getting this error with 18 and 20 on a Lenovo IdeaPad U530 Touch

Note You need to log in before you can comment on or make changes to this bug.